API ReferenceWorkflows
Pause a workflow
POST
/v1/workflows/{workflowId}/pauseAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
workflowId*string
Workflow ID
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/workflows/string/pause"{
"id": "string",
"name": "string",
"description": "string",
"status": "active",
"trigger": {
"type": "event",
"config": {}
},
"steps": [
{
"id": "string",
"type": "action",
"config": {},
"next": "string"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Was this page helpful?